package com.qmth.teachcloud.common.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.qmth.teachcloud.common.base.BaseEntity;
import com.qmth.teachcloud.common.enums.DataPermissionTypeEnum;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 基础角色数据权限
 * @Author: CaoZixuan
 * @Date: 2022-12-05
 */
@TableName("basic_role_data_permission")
public class BasicRoleDataPermission extends BaseEntity implements Serializable {
    @ApiModelProperty("学校id")
    private Long schoolId;

    @ApiModelProperty("角色id")
    private Long roleId;

    @ApiModelProperty("权限id")
    private Long privilegeId;

    @ApiModelProperty("数据权限类型")
    private DataPermissionTypeEnum dataPermissionType;

    @ApiModelProperty("数据权限机构权限组")
    private Long orgScope;

    @ApiModelProperty("创建人机构id")
    private Long orgId;

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public Long getPrivilegeId() {
        return privilegeId;
    }

    public void setPrivilegeId(Long privilegeId) {
        this.privilegeId = privilegeId;
    }

    public DataPermissionTypeEnum getDataPermissionType() {
        return dataPermissionType;
    }

    public void setDataPermissionType(DataPermissionTypeEnum dataPermissionType) {
        this.dataPermissionType = dataPermissionType;
    }

    public Long getOrgScope() {
        return orgScope;
    }

    public void setOrgScope(Long orgScope) {
        this.orgScope = orgScope;
    }

    public Long getOrgId() {
        return orgId;
    }

    public void setOrgId(Long orgId) {
        this.orgId = orgId;
    }
}
